SENDFILES(1)

NAME
sendfiles - send multiple files by MIME message with nmh

SYNOPSIS

sendfiles [-help] [-version] [-compress bzip2 | compress | gzip | lzma | none]
[-from sender]
-to recipient -subject subject | recipient subject
file/directory1 [file/directory2 ...]

DESCRIPTION
The shell script sendfiles is used to send a collection of files and directories via electronic mail.

sendfiles will archive the files and directories you name with the tar command, and then mail the compressed archive to the “recipient” with the given “subject”.

The -to switch specifies the recipient. The -subject switch specifies the subject. Alternatively, these two required values can be provided without their corresponding switch names.

The -from switch can, and should, be used to specify the sender's mailbox (name and email address). Alternatively, the PERSON environment variable can be used for the same purpose. If neither is used, sendfiles will supply a “From:” header field using the sender's local mailbox, see localmbox in mh-format(5).

The -compress command line switch can be used to override the run-time determination of the compression program by sendfiles. -compress none (alternatively, -none) disables compression.

  Extracting the Received Files
When the message is received, invoke mhstore once for the received message. The default is for mhstore to write the archive to a file where you can subsequently uncompress and untar it. For instance:

    $ mhlist -verbose 9
     msg part  type/subtype             size description
       9       application/octet-stream 118K
                 (extract with uncompress | tar xvpf -)
                 type=tar
                 conversions=compress
    $ mhstore 9
    $ uncompress < 9.tar.Z | tar xvpf -

Alternately, by using the -auto switch, mhstore will automatically do the extraction for you:

    $ mhlist -verbose 9
     msg part  type/subtype             size description
       9       application/octet-stream 118K
                 (extract with uncompress | tar xvpf -)
                 type=tar
                 conversions=compress
    $ mhstore -auto 9
    -- tar listing appears here as files are extracted

As the second tar listing is generated, the files are extracted. A prudent user will never put -auto in the .mh_profile file. The correct procedure is to first use mhlist to find out what will be extracted. Then mhstore can be invoked with -auto to perform the extraction.

FILES
^$HOME/.mh_profile~^The user profile

PROFILE COMPONENTS
^Path:~^To determine the user's nmh directory
^Current-Folder:~^To find the default current folder

SEE ALSO
mhbuild(1), mhlist(1), mhshow(1), mhstore(1), mh-format(5)

Proposed Standard for Message Encapsulation (RFC 934)

DEFAULTS
`-delay 0'
`-from localmbox'

CONTEXT
None